package com.ywt.core;

/**
 * Created by dyh2020
 */

public class PageDataResponse<T> extends BaseResponse {
    private T data;
    private int totalCount = 0;
    private int pageIndex = 1;
    private int pageSize = 10;

    public T getData() {
        return data;
    }

    public PageDataResponse<T> setData(T data) {
        this.data = data;
        return this;
    }

    public int getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }

    public int getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(int pageIndex) {
        this.pageIndex = pageIndex;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

}
